Name:           acoustid-fingerprinter
Version:        0.5
Release:        1%{?dist}
Summary:        Music AcoustID fingerprinting application

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://acoustid.org/fingerprinter
Source:         https://github.com/downloads/lalinsky/%{name}/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake
BuildRequires:  qt4-devel
BuildRequires:  ffmpeg-devel
BuildRequires:  taglib-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libchromaprint-devel

%description

Acoustid fingerprinter is a cross-platform GUI application that uses
Chromaprint to submit audio fingerprints from your music collection 
to the Acoustid database. Only tagged audio files are submitted. 
Files tagged by MusicBrainz applications such as Picard are preferred,
but it will submit fingerprints for any files that have tags such as
track title, artist name, album name, etc.

%prep
%setup -q

%cmake -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=/usr

%build
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

install -d -m755 %{buildroot}%{_datadir}/applications

desktop-file-install                                    \
--dir=%{buildroot}%{_datadir}/applications         \
%{SOURCE1}

install -p -D -m 0644 images/acoustid-fp-256.png %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/%{name}.png
install -p -D -m 0644 images/acoustid-fp-128.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
install -p -D -m 0644 images/acoustid-fp-48.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
install -p -D -m 0644 images/acoustid-fp-32.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
install -p -D -m 0644 images/acoustid-fp-24.png %{buildroot}%{_datadir}/icons/hicolor/24x24/apps/%{name}.png
install -p -D -m 0644 images/acoustid-fp-16.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{name}.png

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
update-desktop-database &> /dev/null || :


%files
%defattr(-,root,root,-)
%doc CHANGES.txt COPYING.txt 
%{_bindir}/acoustid-fingerprinter
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/


%changelog
* Sun Jan 1 2012 Ismael Olea <ismael@olea.org> - 0.5-1
- update to 0.5
- minor spec cleaning

* Thu Nov 18 2011 Ismael Olea <ismael@olea.org> - 0.4-1
- first version for Fedora

